summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorhaawda2019-06-19 21:34:49 +0200
committerhaawda2019-06-19 21:34:49 +0200
commitf5a1bf51fd0b551e5aa90ff4bf13aac281f8938b (patch)
treeb7702f028b5da1f743f4d381ba3ecdf6d63a6da4
downloadaur-f5a1bf51fd0b551e5aa90ff4bf13aac281f8938b.tar.gz
initial upload replacing freefem++
-rw-r--r--.SRCINFO28
-rw-r--r--PKGBUILD53
2 files changed, 81 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..800884362bf
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,28 @@
+pkgbase = freefem
+ pkgdesc = A PDE oriented language using the finite element method
+ pkgver = 4.2.1
+ pkgrel = 1
+ url = https://freefem.org/index.html
+ arch = x86_64
+ license = LGPL
+ makedepends = texlive-core
+ makedepends = gcc-fortran
+ depends = fftw
+ depends = freeglut
+ depends = glu
+ depends = suitesparse
+ depends = hdf5
+ depends = gsl
+ depends = openmpi
+ depends = lapack
+ depends = arpack
+ depends = parmetis
+ depends = python
+ provides = freefem++
+ conflicts = freefem++
+ options = !makeflags
+ source = freefem-4.2.1.tar.gz::https://github.com/FreeFem/FreeFem-sources/archive/v4.2.1.tar.gz
+ sha256sums = be6ee15fb7dc31a51438220bcb8a179f92013fbf0d97501c27b232d117c293bd
+
+pkgname = freefem
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3fc44f8bf5c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,53 @@
+# Maintainer: Stefan Husmann <stefan-husmann@t-online.de>
+
+pkgname=freefem
+pkgver=4.2.1
+pkgrel=1
+pkgdesc='A PDE oriented language using the finite element method'
+arch=('x86_64')
+url="https://freefem.org/index.html"
+license=('LGPL')
+depends=('fftw' 'freeglut' 'glu' 'suitesparse' 'hdf5' 'gsl' 'openmpi' 'lapack'
+ 'arpack' 'parmetis' 'python')
+makedepends=('texlive-core' 'gcc-fortran')
+conflicts=('freefem++')
+provides=('freefem++')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/FreeFem/FreeFem-sources/archive/v$pkgver.tar.gz")
+sha256sums=('be6ee15fb7dc31a51438220bcb8a179f92013fbf0d97501c27b232d117c293bd')
+options=('!makeflags')
+
+prepare() {
+ cd FreeFem-sources-${pkgver}
+
+ autoreconf -i
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-download \
+ --disable-mumps \
+ --enable-hpddm
+
+ find . -name Makefile -exec sed -i 's+^gcc+gcc =+' {} \;
+ find . -name Makefile -exec sed -i 's+^dir+dir =+' {} \;
+}
+
+build() {
+ cd FreeFem-sources-${pkgver}
+ make
+}
+
+check() {
+ cd FreeFem-sources-${pkgver}
+ make check || true
+}
+
+package() {
+ cd FreeFem-sources-${pkgver}
+ make -d DESTDIR="$pkgdir" install || true
+
+ find "$pkgdir"/usr/lib/ff++/ -name "*.h" -exec chmod o+r {} \;
+ # remove unneeded files
+ rm -f "$pkgdir"/usr/share/${pkgname}/${_pkgver}/INSTALL*
+ rm -f "$pkgdir"/usr/share/${pkgname}/README_*
+ rm -f "$pkgdir"/usr/share/${pkgname}/mode-mi-edp.zip
+ rm -rf "$pkgdir"/usr/share/${pkgname}/download
+}